#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/alix.cgi                                 3.3.0
#
# Creation:     gdw
# Last Update:  $Id: alix.cgi 15728 2008-10-05 18:59:18Z frankr $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

i2c_get_temperature
set `echo $temperature | sed -e 's#/# #'`
cpu=$1
pcb=$2

show_html_header "ALIX"
show_tab_header "Temperatur" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU</td>
    <td>$cpu &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB</td>
    <td>$pcb &deg;C</td>
</tr>
</table>
EOF

show_tab_footer
show_html_footer
