#include <syslog.h>

extern void (* switch_led)(int num, int on);
extern int (* read_button)(void);
extern int soft_button;
extern int daemonized;
extern int debug;

void direct_led_init(void);
void jnt_led_init(void);

void dolog(int level, const char *fmt, ...) __attribute__ ((format(printf, 2, 3)));

struct led_vec { 
    unsigned char status; 
    unsigned char bit; 
    unsigned long addr; 
    int fd;
};

#define MAX_LEDS 3
                        // Define I/O port for the LEDs
#define GPIOBASE 0xF400 // Only valid with tinyBIOS
extern struct led_vec led_vectors[MAX_LEDS];

